local loadedPlayers = dataManagerConstructor:new()

addEvent("onClientPlayerResourceStart", true)
addEventHandler("onClientPlayerResourceStart", resourceRoot, 
function () 
	if isElement(client) then
		loadedPlayers:setData(client, getTickCount())
	end
end, false)

addEventHandler("onPlayerQuit", root, 
function ()
	loadedPlayers:removeData(source)
end)

function getLoadedPlayers()
	return loadedPlayers:getKeys()
end

function isPlayerLoaded (player)
	return loadedPlayers:getData(player) and true or false
end
